# Class AnthropicHeaders

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents headers included in Anthropic API responses.

    public class AnthropicHeaders

Inheritance
  object
  AnthropicHeaders

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### AnthropicHeaders(HttpResponseHeaders)

Initializes a new instance of the AnthropicHeaders class.

    public AnthropicHeaders(HttpResponseHeaders headers)

#### Parameters

`headers` HttpResponseHeaders

  The HTTP response headers.

## Properties

### RateLimitRequestsLimit

Gets the rate limit requests limit.

    public int RateLimitRequestsLimit { get; init; }

#### Property Value

int

### RateLimitRequestsRemaining

Gets the rate limit requests remaining.

    public int RateLimitRequestsRemaining { get; init; }

#### Property Value

int

### RateLimitRequestsReset

Gets the time of the rate limit requests reset.

    public DateTimeOffset RateLimitRequestsReset { get; init; }

#### Property Value

DateTimeOffset

### RateLimitTokensLimit

Gets the rate limit tokens limit.

    public int RateLimitTokensLimit { get; init; }

#### Property Value

int

### RateLimitTokensRemaining

Gets the rate limit tokens remaining.

    public int RateLimitTokensRemaining { get; init; }

#### Property Value

int

### RateLimitTokensReset

Gets the time of the rate limit tokens reset.

    public DateTimeOffset RateLimitTokensReset { get; init; }

#### Property Value

DateTimeOffset

### RequestId

Gets the request ID.

    public string RequestId { get; init; }

#### Property Value

string

### RetryAfter

Gets the retry after value.

    public int RetryAfter { get; init; }

#### Property Value

int